OS X bash 업데이트 1.0에 관하여

이 문서에서는 OS X bash 업데이트 1.0의 보안 콘텐츠에 대해 설명합니다.

이 업데이트는 Apple 지원 웹 사이트에서 다운로드할 수 있습니다.

Apple은 고객 보호를 위해 완벽한 조사를 마치고 필요한 패치 또는 출시를 제공할 때까지 보안 문제에 대해 공개하거나, 이야기하거나, 확인하지 않습니다. Apple 제품 보안에 대한 자세한 내용을 알아보려면 Apple 제품 보안 웹 사이트를 참조하십시오.

Apple 제품 보안 PGP 키에 관한 자세한 내용은 Apple 제품 보안 PGP 키 사용 방법을 참조하십시오.

가능한 경우 CVE ID로 취약성에 대한 추가 정보를 참조할 수 있습니다.

다른 보안 업데이트에 대한 자세한 내용은 Apple 보안 업데이트를 참조하십시오.

OS X bash 업데이트 1.0

  • Bash

    대상: OS X Lion v10.7.5, OS X Lion Server v10.7.5, OS X Mountain Lion v10.8.5, OS X Mavericks v10.9.5

    영향: 특정 구성에서 원격 공격자가 임의로 셸 명령을 실행할 수 있습니다.

    설명: 환경 변수에서 Bash의 분석에 문제가 있습니다. 이 문제는 기능 문구의 끝을 보다 면밀하게 감지하여 개선된 환경 변수 분석을 통해 해결되었습니다.

    이 업데이트는 파서 상태를 재설정하는 권장 CVE-2014-7169 변경 사항도 통합했습니다.

    또한 이 업데이트에는 의도치 않은 헤더 관통으로부터 Bash를 방지하도록 기능 데코레이터를 생성하여 내보낸 기능에 새로운 네임스페이스가 추가되었습니다. 기능 정의를 소개하는 모든 환경 변수의 이름에는 HTTP 헤더를 통한 의도치 않은 기능 통과를 방지하도록 접두사 '__BASH_FUNC<' 및 접미사 '>()'가 있어야 합니다.

    CVE-ID

    CVE-2014-6271: Stephane Chazelas

    CVE-2014-7169: Tavis Ormandy

Apple이 제조하지 않은 제품에 관한 정보 또는 Apple의 관리 또는 테스트 대상이 아닌 독립적인 웹 사이트는 권장 또는 보증 없이 제공되는 것입니다. Apple은 타사 웹 사이트 또는 제품에 대한 선택, 성능, 사용과 관련하여 발생하는 결과에 대해 책임을 지지 않습니다. Apple은 타사 웹 사이트의 정확성 또는 신뢰도에 대해 어떠한 언급도 하지 않습니다. 인터넷을 사용하는 데는 위험이 따르기 마련입니다. 자세한 내용은 공급업체에 문의하십시오. 기타 회사 및 제품 이름은 각 소유자의 상표일 수 있습니다.

게시일: